PUT http://api.aspose.cloud/v3.0/cells/{name}/worksheets/{sheetName}/oleobjects
Function Description
PageTitle: Add an OLE object in the worksheet.PageDescription: Aspose.Cells Cloud provides robust support for adding an OLE object in the worksheet, a process known for its intricacy.HeadTitle: Add an OLE object in the worksheet.HeadSummary: Aspose.Cells Cloud provides robust support for adding an OLE object in the worksheet, a process known for its intricacy.HeadContent: Aspose.Cells Cloud provides REST API which supports adding an OLE object in the worksheet and offers SDKs for multiple programming languages. These programming languages are include of Net, Java, Go, NodeJS, Python, and so on.
The request parameters of putWorksheetOleObject API are:
| Parameter Name | Type | Path/Query String/HTTPBody | Description |
| :- | :- | :- |:- |
|name|String|Path|The file name.|
|sheetName|String|Path|The worsheet name.|
|upperLeftRow|Integer|Query|Upper left row index|
|upperLeftColumn|Integer|Query|Upper left column index|
|height|Integer|Query|Height of oleObject, in unit of pixel|
|width|Integer|Query|Width of oleObject, in unit of pixel|
|oleFile|String|Query|OLE filename path(full file name).|
|imageFile|String|Query|Image filename path(full file name).|
|folder|String|Query|The folder where the file is situated.|
|storageName|String|Query|The storage name where the file is situated.|